Index: other-projects/trunk/greenstone3-extension/mat/script/doby2.css
===================================================================
--- other-projects/trunk/greenstone3-extension/mat/script/doby2.css	(revision 17691)
+++ other-projects/trunk/greenstone3-extension/mat/script/doby2.css	(revision 17691)
@@ -0,0 +1,83 @@
+div.tableContainer {
+	width: auto;		/* table width will be 99% of this*/
+	height: 600px; 	/* must be greater than tbody*/
+	overflow: auto;
+	margin: 0 auto;
+	}
+
+table {
+	width: 99%;		/*100% of container produces horiz. scroll in Mozilla*/
+	border: none;
+	background-color: white;
+	font-family:arial;
+	}
+	
+table>tbody	{  /* child selector syntax which IE6 and older do not support*/
+	overflow: auto; 
+	height: 550px;
+	overflow-x: hidden;
+	}
+	
+thead tr	{
+	position:relative; 
+	top: expression(offsetParent.scrollTop); /*IE5+ only*/
+	}
+	
+thead td, thead th {
+	text-align: center;
+	font-size: 11px; 
+	font-family:arial;
+	background-color: oldlace;
+	color: black;
+	font-weight: bold;
+	border-top: solid 1px #d8d8d8;
+	}	
+	
+td	{
+	color: #000;
+	padding-right: 2px;
+	font-size: 11px;
+	text-align: right;
+	border-bottom: solid 1px #d8d8d8;
+	border-left: solid 1px #d8d8d8;
+	height:16px;
+	}
+	
+table tfoot tr { /*idea of Renato Cherullo to help IE*/
+      position: relative; 
+      overflow-x: hidden;
+      top: expression(parentNode.parentNode.offsetHeight >= 
+	  offsetParent.offsetHeight ? 0 - parentNode.parentNode.offsetHeight + offsetParent.offsetHeight + offsetParent.scrollTop : 0);
+      }
+
+
+tfoot td	{
+	text-align: center;
+	font-size: 11px;
+	font-family:arial;
+	font-weight: bold;
+	background-color: papayawhip;
+	color: black;
+	border-top: solid 1px slategray;
+	}
+
+td:last-child {padding-right: 20px;} /*prevent Mozilla scrollbar from hiding cell content*/
+
+/*.b{background-color:#0000FF;}*/
+.b{background-image:url(blue.png);background-repeat:no-repeat; width:40px; height:20px; background-position: center;}
+.w{background-image:url(white.png);background-repeat:no-repeat; width:40px; height:20px; background-position: center;}
+.qh{width:16px; text-align:center;}
+.E{background-image:url(question.gif);background-repeat:no-repeat; width:16px; background-position: center;}
+.bfont{font-size: 15px; text-align:left;}
+.table1{
+		height: 50px;
+}
+
+
+div.top{text-align:right;margin:1em 0;padding:0}
+div.top div{display:inline}
+div.top div.left{float:left}
+#content>div.top{display:table;width:100%}
+#content>div.top div{display:table-cell}
+#content>div.top div.left{float:none;text-align:left}
+#content>div.top div.right{text-align:right}
Index: other-projects/trunk/greenstone3-extension/mat/script/getInfomation-bk.js
===================================================================
--- other-projects/trunk/greenstone3-extension/mat/script/getInfomation-bk.js	(revision 17691)
+++ other-projects/trunk/greenstone3-extension/mat/script/getInfomation-bk.js	(revision 17691)
@@ -0,0 +1,260 @@
+var opt;
+var winW = 630, winH = 460;
+
+function GD(obj){
+	var NID;
+	NID = obj.parentNode.id;
+	opt = "info";
+	reconfig();
+	ajaxSearch(NID);
+}
+
+function GX(obj){
+	var NID;
+	NID = obj.parentNode.id;
+	opt = "url";
+	reconfig();
+	ajaxSearch(NID);
+}
+	
+function reconfig(){
+	var request2 ='<request type="system" to=""><system type="configure" subset="collectionList"/></request>';
+	var message2 = newElement('message', request2 );
+	var soapMessage2 = messageToSOAP(message2);
+	makeRequest(soapMessage2);
+}
+
+function windowSize(){
+	if (parseInt(navigator.appVersion)>3) {
+ 		if (navigator.appName=="Netscape") {
+  			winW = window.innerWidth;
+  			winH = window.innerHeight;
+ 		}
+ 
+		if (navigator.appName.indexOf("Microsoft")!=-1) {
+  			winW = document.body.offsetWidth;
+  			winH = document.body.offsetHeight;
+ 		}
+	}
+}
+
+
+function getwindowHeight(){
+
+	var Height;
+
+	if (parseInt(navigator.appVersion)>3) {
+ 		if (navigator.appName=="Netscape") {
+			  Height = window.innerHeight;
+ 		}
+ 		if (navigator.appName.indexOf("Microsoft")!=-1) {
+  			winW = document.body.offsetWidth;
+  			Height = document.body.offsetHeight;
+ 		}
+		return Height;
+	}
+}
+
+
+function newwindows(url){
+
+	if(url!=''){
+		windowSize();
+		window.open(url,'mywindow',winW+','+winH+','+'toolbar=yes,location=yes,directories=yes,status=yes,menubar=yes,scrollbars=yes,copyhistory=yes,resizable=yes');
+	}
+
+	else{
+		alert("NO URL AVAILABLE");
+	}
+		//document.body.style.cursor = "default"; 
+}
+	
+
+function newwin(nameList,valueList){
+		var newwindo;
+		var htm="<html><head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><title>Metadata Element Detail</title><style type=text/css >body{font-family:arial;}</style></head>";
+		htm+="<body><table border=2>";
+		
+		var internalElement = new Array();
+
+		for(var i =0;i<nameList.length; i++){
+			if (/^[A-Z]+$/.test(nameList[i].charAt(0))) {
+			//if(nameList[i]=="URL" && (valueList[i]. substring(0,4)=="http")){
+				if(valueList[i]. substring(0,4)=="http"){
+					htm+="<tr><td>"+nameList[i]+"<td><a href="+valueList[i]+" target=_blank >"+valueList[i];
+				}
+				else{
+					if(valueList[i].length>=200){
+						htm+="<tr><td>"+nameList[i]+"<td>"+valueList[i].substr(0,200)+" ...";
+					}
+					else{
+						htm+="<tr><td>"+nameList[i]+"<td>"+valueList[i];
+					}
+				
+				}
+			}
+			else{ internalElement.push(i);}			
+		}
+
+		for(var i =0; i<internalElement.length; i++){
+			var num = internalElement[i];
+			//if(nameList[num]=="URL" && (valueList[num]. substring(0,4)=="http")){
+			if(valueList[num]. substring(0,4)=="http"){
+				htm+="<tr><td>"+nameList[num]+"<td><a href="+valueList[num]+" target=_blank >"+valueList[num];
+			}
+			else{
+				if(valueList[num].length>=200){
+					htm+="<tr><td>"+nameList[num]+"<td>"+valueList[num].substr(0,200)+" ...";
+				}
+				else{
+					htm+="<tr><td>"+nameList[num]+"<td>"+valueList[num];
+				}
+				
+			}
+
+		}
+
+		htm+="</table><p align=center><input type=button onclick=window.close() value=Close /></p></body></html>";
+    		newwindo=window.open('','mywindow',winW+','+winH+','+'toolbar=yes,location=yes,directories=yes,status=yes,menubar=yes,scrollbars=yes,copyhistory=yes,resizable=yes');
+    		newwindo.document.write(htm);
+    		newwindo.document.close();
+		//document.body.style.cursor = "default"; 
+	}
+
+
+function ajaxSearch(request) {
+
+
+//alert("wait");
+
+
+//alert("This process takes a few seconds");
+
+var bodyTag = document.getElementsByTagName('body');
+var collection = (bodyTag[0].getAttribute('id'));
+request = 'HASH'+request;
+docID = newElementAtt('param', '', new Array('name', 'value'), new Array('metadata', 'all') ) ;
+paramList = newElement('paramList',docID);
+NodeID = newElementAtt('documentNode', '', new Array('nodeID'), new Array(request) ) ;
+documentNodeList = newElement('documentNodeList',NodeID);
+
+request = newElementAtt5('request', paramList,documentNodeList, new Array('lang', 'to', 'type'), new Array('en',collection+'/DocumentMetadataRetrieve', 'process' ) );
+message = newElement('message', request );
+soapMessage = messageToSOAP(message);
+
+makeRequest(soapMessage);
+//loadAsync(soapMessage);
+//alert(soapMessage);
+//alert("Please wait...");
+}
+
+function newElementAtt5(name, content,content2, nameArray, valueArray) {
+
+    e = '<' + name + ' ' ;
+    for (i=0; i < nameArray.length; i++) {
+        e += newAttribute(nameArray[i], valueArray[i])
+    }
+    e += '>' + content+content2;
+    e += '</' + name + '>';
+		
+    return e;
+}
+
+function messageToSOAP(message) {
+    soapBody = '<soapenv:Body>' + message + '</soapenv:Body>'
+    soap = '<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">' + soapBody + '</soapenv:Envelope>'
+    x= '<?xml version="1.0" encoding="UTF-8"?>' + soap;
+    return x;
+}
+
+function newElement(name, content) {
+    e = '<' + name + '>' + content;
+    e += '</' + name + '>';
+    return e;
+}
+
+function newElementAtt(name, content, nameArray, valueArray) {
+    e = '<' + name + ' ' ;
+    for (i=0; i < nameArray.length; i++) {
+        e += newAttribute(nameArray[i], valueArray[i])
+    }
+    e += '>' + content;
+    e += '</' + name + '>';
+    return e;
+}
+
+
+function newAttribute(name, value) {
+				 return ' ' + name + '="' + value + '"';
+}
+
+function makeRequest(postData){
+	//alert(postData)
+	 YAHOO.util.Connect.initHeader('SOAPAction','http://tempuri.org/GetMagnetometerStation',true);
+	//var request = YAHOO.util.Connect.asyncRequest('POST', 'http://hinau.cs.waikato.ac.nz:8090/greenstone3/services/localsite', callback, postData);
+	//var request = YAHOO.util.Connect.asyncRequest('POST', 'http://nzdl.org/greenstone3/mat/services/localsite', callback, postData);
+var request = YAHOO.util.Connect.asyncRequest('POST', '/greenstone3/mat/services/localsite', callback, postData);
+}
+
+
+var handleSuccess = function(o){
+//document.body.style.cursor='wait';
+//alert(o.responseText);
+//alert("done");
+//alert(opt+"?");
+//alert(opt+"step 3");
+		var nameList = new Array();
+	        var valueList = new Array();
+
+
+					var xmldoc = o.responseXML;
+                   			var nodes = xmldoc.getElementsByTagName('metadata');
+                                        var mesg = "";
+                  			var msg = "";
+					var urllocation ="";
+                    			//alert(o.responseText);
+			        	for(var i=0; i<nodes.length; i++) {
+          					mesg = nodes[i].firstChild.nodeValue;
+						//alert(mesg+" "+mesg.indexOf('^'));
+
+          					if(mesg==valueList[valueList.length-1]){}
+          					else{
+	          					msg = nodes[i].getAttribute('name');
+							if(msg.indexOf('^')!=-1){
+								msg = msg.replace('^','.');
+							}
+	          					if(msg!='prettymd' && msg.substring(0,12)!='metadatafreq' && msg.substring(0,12)!='metadatalist'&& msg.substring(0,10)!='metadataset' ){
+	          						valueList.push(mesg);
+	          						nameList.push(msg);
+          						}
+							if((msg=="URL" && mesg.substring(0,4)=="http") ||(mesg.substring(0,4)=="http") ){
+							     //alert(msg+ " "+mesg);
+							     urllocation = mesg;
+							}
+          					}
+          				
+         				}
+						//document.ajax.dyn.value="Received:";
+						//alert(nameList)
+						if(opt=="info" && nameList.length!=0){
+							//alert(nameList.length+nameList[0]);
+
+							newwin(nameList,valueList);
+						}
+						else if(opt=="url" && nameList.length!=0){
+							newwindows(urllocation);
+						}
+						//document.body.style.cursor = "default"; 
+};
+
+var handleFailure = function(o){
+//alert(o.responseText);
+alert("fail");
+};
+
+var callback =
+{
+  success:handleSuccess,
+  failure:handleFailure,
+  argument:['foo','bar']
+};
Index: other-projects/trunk/greenstone3-extension/mat/script/getInfomation.js
===================================================================
--- other-projects/trunk/greenstone3-extension/mat/script/getInfomation.js	(revision 17691)
+++ other-projects/trunk/greenstone3-extension/mat/script/getInfomation.js	(revision 17691)
@@ -0,0 +1,268 @@
+var opt;
+var winW = 630, winH = 460;
+var NID;
+function GD(obj){
+	NID = obj.parentNode.id;
+	opt = "info";
+	//alert(NID);
+	//reconfig();
+	ajaxSearch(NID);
+}
+
+function GX(obj){
+	NID = obj.parentNode.id;
+	opt = "url";
+	//reconfig();
+	ajaxSearch(NID);
+}
+	
+function reconfig(){
+
+	var request2 ='<request type="system" to=""><system type="configure" subset="collectionList"/></request>';
+	var message2 = newElement('message', request2 );
+	var soapMessage2 = messageToSOAP(message2);
+	makeRequest(soapMessage2);
+
+}
+
+
+function windowSize(){
+	if (parseInt(navigator.appVersion)>3) {
+ 		if (navigator.appName=="Netscape") {
+  			winW = window.innerWidth;
+  			winH = window.innerHeight;
+ 		}
+ 
+		if (navigator.appName.indexOf("Microsoft")!=-1) {
+  			winW = document.body.offsetWidth;
+  			winH = document.body.offsetHeight;
+ 		}
+	}
+}
+
+
+function getwindowHeight(){
+
+	var Height;
+
+	if (parseInt(navigator.appVersion)>3) {
+ 		if (navigator.appName=="Netscape") {
+			  Height = window.innerHeight;
+ 		}
+ 		if (navigator.appName.indexOf("Microsoft")!=-1) {
+  			winW = document.body.offsetWidth;
+  			Height = document.body.offsetHeight;
+ 		}
+		return Height;
+	}
+}
+
+
+function newwindows(url){
+
+	if(url!=''){
+		windowSize();
+		window.open(url,'mywindow',winW+','+winH+','+'toolbar=yes,location=yes,directories=yes,status=yes,menubar=yes,scrollbars=yes,copyhistory=yes,resizable=yes');
+	}
+
+	else{
+		alert("NO URL AVAILABLE");
+	}
+		//document.body.style.cursor = "default"; 
+		//document.body.style.cursor = "default"; 
+}
+	
+
+function newwin(nameList,valueList){
+		var newwindo;
+		var htm="<html><head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><title>Metadata Element Detail</title><style type=text/css >body{font-family:arial;}</style></head>";
+		htm+="<body><table border=2>";
+		
+		var internalElement = new Array();
+
+		for(var i =0;i<nameList.length; i++){
+			if (/^[A-Z]+$/.test(nameList[i].charAt(0))) {
+			//if(nameList[i]=="URL" && (valueList[i]. substring(0,4)=="http")){
+				if(valueList[i]. substring(0,4)=="http"){
+					htm+="<tr><td>"+nameList[i]+"<td><a href="+valueList[i]+" target=_blank >"+valueList[i];
+				}
+				else{
+					if(valueList[i].length>=200){
+						htm+="<tr><td>"+nameList[i]+"<td>"+valueList[i].substr(0,200)+" ...";
+					}
+					else{
+						htm+="<tr><td>"+nameList[i]+"<td>"+valueList[i];
+					}
+				
+				}
+			}
+			else{ internalElement.push(i);}			
+		}
+
+		for(var i =0; i<internalElement.length; i++){
+			var num = internalElement[i];
+			//if(nameList[num]=="URL" && (valueList[num]. substring(0,4)=="http")){
+			if(valueList[num]. substring(0,4)=="http"){
+				htm+="<tr><td>"+nameList[num]+"<td><a href="+valueList[num]+" target=_blank >"+valueList[num];
+			}
+			else{
+				if(valueList[num].length>=200){
+					htm+="<tr><td>"+nameList[num]+"<td>"+valueList[num].substr(0,200)+" ...";
+				}
+				else{
+					htm+="<tr><td>"+nameList[num]+"<td>"+valueList[num];
+				}
+				
+			}
+
+		}
+
+		htm+="</table><p align=center><input type=button onclick=window.close() value=Close /></p></body></html>";
+    		newwindo=window.open('','mywindow',winW+','+winH+','+'toolbar=yes,location=yes,directories=yes,status=yes,menubar=yes,scrollbars=yes,copyhistory=yes,resizable=yes');
+//newwindo=window.open('','mywindow','460','630','toolbar=yes,location=yes,directories=yes,status=yes,menubar=yes,scrollbars=yes,copyhistory=yes,resizable=yes');
+    		newwindo.document.write(htm);
+    		newwindo.document.close();
+		//document.body.style.cursor = "default"; 
+	}
+
+
+function ajaxSearch(request) {
+
+//alert("wait");
+//alert("This process takes a few seconds");
+//alert("done");
+//document.body.style.cursor = "wait"; 
+var bodyTag = document.getElementsByTagName('body');
+var collection = (bodyTag[0].getAttribute('id'));
+request = 'HASH'+request;
+
+docID = newElementAtt('param', '', new Array('name', 'value'), new Array('metadata', 'all') ) ;
+paramList = newElement('paramList',docID);
+NodeID = newElementAtt('documentNode', '', new Array('nodeID'), new Array(request) ) ;
+documentNodeList = newElement('documentNodeList',NodeID);
+
+request = newElementAtt5('request', paramList,documentNodeList, new Array('lang', 'to', 'type'), new Array('en',collection+'/DocumentMetadataRetrieve', 'process' ) );
+message = newElement('message', request );
+soapMessage = messageToSOAP(message);
+
+makeRequest(soapMessage);
+//loadAsync(soapMessage);
+//alert(soapMessage);
+//alert("Please wait...");
+}
+
+function newElementAtt5(name, content,content2, nameArray, valueArray) {
+
+    e = '<' + name + ' ' ;
+    for (i=0; i < nameArray.length; i++) {
+        e += newAttribute(nameArray[i], valueArray[i])
+    }
+    e += '>' + content+content2;
+    e += '</' + name + '>';
+		
+    return e;
+}
+
+function messageToSOAP(message) {
+    soapBody = '<soapenv:Body>' + message + '</soapenv:Body>'
+    soap = '<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">' + soapBody + '</soapenv:Envelope>'
+    x= '<?xml version="1.0" encoding="UTF-8"?>' + soap;
+    return x;
+}
+
+function newElement(name, content) {
+    e = '<' + name + '>' + content;
+    e += '</' + name + '>';
+    return e;
+}
+
+function newElementAtt(name, content, nameArray, valueArray) {
+    e = '<' + name + ' ' ;
+    for (i=0; i < nameArray.length; i++) {
+        e += newAttribute(nameArray[i], valueArray[i])
+    }
+    e += '>' + content;
+    e += '</' + name + '>';
+    return e;
+}
+
+
+function newAttribute(name, value) {
+				 return ' ' + name + '="' + value + '"';
+}
+
+function makeRequest(postData){
+	 YAHOO.util.Connect.initHeader('SOAPAction','http://tempuri.org/GetMagnetometerStation',true);
+	var request = YAHOO.util.Connect.asyncRequest('POST', '/greenstone3/services/localsite', callback, postData);
+}
+
+
+var handleSuccess = function(o){
+//document.body.style.cursor='wait';
+//alert(o.responseText);
+
+		//document.body.style.cursor = "default"; 
+		var nameList = new Array();
+	        var valueList = new Array();
+		var xmldoc = o.responseXML;
+		var nodes = xmldoc.getElementsByTagName('metadata');
+                var mesg = "";
+		var msg = "";
+		var urllocation ="";
+                    			//alert(o.responseText);
+	       	for(var i=0; i<nodes.length; i++) {
+        		mesg = nodes[i].firstChild.nodeValue;
+			//alert(mesg+" "+mesg.indexOf('^'));
+
+        		if(mesg==valueList[valueList.length-1]){}
+        		else{
+				msg = nodes[i].getAttribute('name');
+				if(msg.indexOf('^')!=-1){
+					msg = msg.replace('^','.');
+				}
+	          		if(msg!='prettymd' && msg.substring(0,12)!='metadatafreq' && msg.substring(0,12)!='metadatalist'&& msg.substring(0,10)!='metadataset' ){
+	          		
+					if(msg.substring(0,3)=='dc.'){
+						valueList.push(mesg);
+	          				nameList.push(msg);
+					}
+					else if(msg.substring(0,14)=='nzir_internal.'){
+						valueList.push(mesg);
+	          				nameList.push(msg);
+					}
+					else if(msg.substring(0,1)=='.'){
+						valueList.push(mesg);
+	          				nameList.push(msg);
+					}
+          			}
+				
+				if((msg=="URL" && mesg.substring(0,4)=="http") ||(mesg.substring(0,4)=="http") ){
+					 //alert(msg+ " "+mesg);
+					urllocation = mesg;
+				}
+          		}
+          				
+         	}
+		//document.ajax.dyn.value="Received:";
+		//alert(nameList)
+		if(opt=="info" && nameList.length!=0){
+		//alert(nameList.length+nameList[0]);
+			newwin(nameList,valueList);
+		}
+		else if(opt=="url" && nameList.length!=0){
+			newwindows(urllocation);
+		}
+		//document.body.style.cursor = "default"; 
+};
+
+var handleFailure = function(o){
+//alert(o.responseText);
+//alert("fail");
+};
+
+var callback =
+{
+  success:handleSuccess,
+  failure:handleFailure,
+  argument:['foo','bar']
+};
Index: other-projects/trunk/greenstone3-extension/mat/script/mat.css
===================================================================
--- other-projects/trunk/greenstone3-extension/mat/script/mat.css	(revision 17691)
+++ other-projects/trunk/greenstone3-extension/mat/script/mat.css	(revision 17691)
@@ -0,0 +1,7 @@
+body{
+font-family:arial;
+}
+
+h1{
+font-family:arial;
+}
Index: other-projects/trunk/greenstone3-extension/mat/script/metadataElementURL.xml
===================================================================
--- other-projects/trunk/greenstone3-extension/mat/script/metadataElementURL.xml	(revision 17691)
+++ other-projects/trunk/greenstone3-extension/mat/script/metadataElementURL.xml	(revision 17691)
@@ -0,0 +1,351 @@
+<root>
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-abstract</URL>
+<name>Abstract</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-accessRights</URL>
+ <name>AccessRights</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-accrualMethod</URL>
+ <name>AccrualMethod</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-accrualPeriodicity</URL>
+<name>AccrualPeriodicity</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-accrualPolicy</URL>
+<name>AccrualPolicy</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-alternative</URL>
+<name>Alternative</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-audience</URL>
+<name>Audience</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-available</URL>
+<name>Available</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-bibliographicCitation</URL>
+ <name>BibliographicCitation</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-conformsTo</URL>
+<name>ConformsTo</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-contributor</URL>
+<name>Contributor</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-coverage</URL>
+<name>Coverage</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-created</URL>
+<name>Created</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-creator</URL>
+<name>Creator</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-date</URL>
+<name>Date</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-dateAccepted</URL>
+<name>DateAccepted</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-dateCopyrighted</URL>
+<name>DateCopyrighted</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-dateSubmitted</URL>
+<name>DateSubmitted</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-description</URL>
+<name>Description</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-educationLevel</URL>
+<name>educationLevel</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-extent</URL>
+<name>Extent</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-format</URL>
+<name>Format</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-hasFormat</URL>
+<name>HasFormat</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-hasPart</URL>
+<name>HasPart</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-hasVersion</URL>
+<name>HasVersion</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-identifier</URL> 
+<name>Identifier</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-instructionalMethod</URL>
+<name>InstructionalMethod</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-isFormatOf</URL>
+<name>IsFormatOf</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-isPartOf</URL>
+<name>IsPartOf</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-isReferencedBy</URL>
+<name>IsReferencedBy</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-isReplacedBy</URL>
+<name>IsReplacedBy</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-isRequiredBy</URL>
+<name>IsRequiredBy</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-issued</URL>
+<name>Issued</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-isVersionOf</URL>
+<name>IsVersionOf</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-language</URL>
+<name>Language</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-license</URL>
+<name>License</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-mediator</URL>
+<name>Mediator</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-medium</URL>
+<name>Medium</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-modified</URL>
+<name>Modified</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-provenance</URL>
+<name>Provenance</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-publisher</URL>
+<name>Publisher</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-references</URL>
+<name>References</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-relation</URL>
+<name>Relation</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-replaces</URL>
+<name>Replaces</name>
+ </metadataElement>
+ 
+ <metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-requires</URL>
+<name>Requires</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-rights</URL>
+<name>Rights</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-rightsHolder</URL>
+<name>RightsHolder</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-source</URL>
+<name>Source</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-spatial</URL>
+<name>Spatial</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-subject</URL>
+<name>Subject</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-tableOfContents</URL>
+<name>TableOfContents</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-temporal</URL>
+<name>Temporal</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-title</URL>
+<name>Title</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-type</URL>
+<name>Type</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#terms-valid</URL>
+<name>Valid</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#elements-contributor</URL>
+<name>Contributor</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#elements-coverage</URL>
+<name>Coverage</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#elements-creator</URL>
+<name>Creator</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#elements-date</URL>
+<name>Date</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#elements-description</URL>
+<name>Description</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#elements-format</URL>
+<name>Format</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#elements-identifier</URL>
+<name>Identifier</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#elements-language</URL>
+<name>Language</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#elements-publisher</URL>
+<name>Publisher</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#elements-relation</URL>
+<name>Relation</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#elements-rights</URL>
+<name>Rights</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#elements-source</URL>
+<name>Source</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#elements-subject</URL>
+<name>Subject</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#elements-title</URL>
+<name>Title</name>
+</metadataElement>
+
+<metadataElement>
+<URL>http://dublincore.org/documents/dcmi-terms/#elements-type</URL>
+<name>Type</name>
+</metadataElement>
+</root>
Index: other-projects/trunk/greenstone3-extension/mat/script/status.js
===================================================================
--- other-projects/trunk/greenstone3-extension/mat/script/status.js	(revision 17691)
+++ other-projects/trunk/greenstone3-extension/mat/script/status.js	(revision 17691)
@@ -0,0 +1,47 @@
+function checkStatus(){
+var x = "";
+var prefix ="";
+var o = document.forms[0]; 
+
+	for(var i = 0; i<o.length; i++){
+		var a = document.forms[0].elements[i];
+		 if(a.type=="checkbox" && a.checked){
+		  x = x+"H";
+		 }
+		 
+		if(a.type=="checkbox" && !a.checked){
+		   x = x+"S";
+		 }
+		 if(a.type=="radio" && a.checked && a.id=="C1"){
+			prefix = "dublin_";
+		 }
+		 if(a.type=="radio" && a.checked && a.id=="C2"){
+		  prefix = "extracted_";
+		 }
+		 if(a.type=="radio" && a.checked && a.id=="C3"){
+		    prefix = "both_";
+		 }
+		 if(a.type=="radio" && a.id =="R1" && a.checked){
+		  x = x+"_best.html"
+		 }
+		 
+		 if(a.type=="radio" && a.id =="R2" && a.checked){
+		   x = x+"_worst.html"
+		 }
+	  }
+        x = prefix+x;
+	window.open(x);
+}
+
+function autoSubmit()
+{
+//alert("autoSubmit1");
+setTimeout('document.collectionForm.submit()',5000);
+}
+
+function autoSubmit2()
+{
+//alert("autoSubmit2");
+setTimeout('document.aForm.submit()',5000);
+}
+
Index: other-projects/trunk/greenstone3-extension/mat/script/status3.js
===================================================================
--- other-projects/trunk/greenstone3-extension/mat/script/status3.js	(revision 17691)
+++ other-projects/trunk/greenstone3-extension/mat/script/status3.js	(revision 17691)
@@ -0,0 +1,95 @@
+function checkStatus(){
+var x = "";
+var prefix ="";
+var o = document.forms[0]; 
+
+	for(var i = 0; i<o.length; i++){
+		var a = document.forms[0].elements[i];
+		//alert( i + " "+a.type);
+		 if(a.type=="checkbox" && a.checked){
+		  x = x+"H";
+		 }
+		 
+		if(a.type=="checkbox" && !a.checked){
+		   x = x+"S";
+		 }
+		 if(a.type=="radio" && a.checked && a.id=="C1"){
+			prefix = "dublin_";
+		 }
+		 if(a.type=="radio" && a.checked && a.id=="C2"){
+		  prefix = "extracted_";
+		 }
+		 if(a.type=="radio" && a.checked && a.id=="C3"){
+		    prefix = "both_";
+		 }
+		 if(a.type=="radio" && a.checked && a.id=="C4"){
+			prefix = "other_";
+		 }
+		 if(a.type=="radio" && a.id =="R1" && a.checked){
+		  x = x+"_best.html"
+		 }
+		 
+		 if(a.type=="radio" && a.id =="R2" && a.checked){
+		   x = x+"_worst.html"
+		 }
+	  }
+        x = prefix+x;
+	window.open(x);
+}
+
+function autoSubmit()
+{
+//alert("autoSubmit1");
+setTimeout('document.collectionForm.submit()',5000);
+}
+
+function autoSubmit2()
+{
+//alert("autoSubmit2");
+setTimeout('document.aForm.submit()',5000);
+}
+
+function hidediv() {
+document.getElementById('hideshow').style.visibility = 'hidden';
+}
+
+
+function showdiv() {
+//alert("test");
+document.getElementById('hideshow').style.visibility = 'visible';
+}
+
+function helpWindow(arg1, arg2){
+
+if(arg1=="Maximum"){
+var msg = "This number is calculated by counting the maximum usage in any records.";
+}
+else if(arg1=="Minimum"){
+var msg = "This number is calculated by counting the minimum usage in any records. For example, there are 100 records and one of them does not have the value for "+arg2+" , the minimum usage is 0.";
+}
+else if(arg1=="Average"){
+var msg = "This number is calculated by dividing the sum of usage by the total number of records containing it. For example, the total usage of this element is 99 and 33 documents use the element at least once. So the average is 3 ( 99 / 33). ";
+}
+else if(arg1=="Mode"){
+var msg = "Mode is the most frequent occurrence values. In this case, we are talking about the usage / record.";
+}
+else if(arg1=="Mode Frequency"){
+var msg = "This is the coverage of the mode value. For example, there are 10 records and 5 records use this element exactly once. Suppose the mode value is 1. So the coverage of the mode value is 50%.";
+}
+newwin("Coverage",msg);
+}
+
+	function newwin(arg1, msg)
+	{
+		var winW = 50;
+		var winH = 50;
+		var newwindo;
+		var htm="<html><head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><title>Metadata Element Detail</title><style type=text/css >body{font-family:arial;}</style></head>";
+		htm+="<body>";
+		htm	= htm +"<h3>"+arg1+"</h3>";
+		htm = htm + "<p>"+msg+"</p>";
+		htm+="<p align=center><input type=button onclick=window.close() value=Close /></p></body></html>";
+    		newwindo=window.open('','mywindow',winW+','+winH+','+'toolbar=yes,location=yes');
+    		newwindo.document.write(htm);
+    		newwindo.document.close();
+	}
